# Generated from media-renamer-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name media-renamer

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: Rename media files in bulk based on file metadata
License: MIT
URL: http://rubygems.org/gems/media-organizer
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Provides a set of functions to scan file systems for media files, and
dynamically rename them using their metadata. Files are renamed according to a
customizable taxonomy. For example, use MediaOrganizer::Renamer to set
filenames for a directory of photos to a standard such as: "<date-taken> - Ski
Vacation.jpg". Currently supports only JPEG and TIFF files. Future releases
will include support for music and additional image files.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.3-1
- Initial package
